Skip to main content
GET
/
campaigns
/
{id}
cURL
curl --request GET \
  --url https://api.altur.io/api/v1.0/campaigns/{id} \
  --header 'Authorization: <api-key>'
{
  "success": true,
  "campaign": {
    "id": 123,
    "name": "<string>",
    "integration": {
      "id": "<string>"
    },
    "agent": {
      "id": "<string>",
      "name": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "scheduling": {
      "mon": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "tue": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "wed": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "thu": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "fri": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "sat": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      },
      "sun": {
        "startTime": "<string>",
        "stopTime": "<string>",
        "active": true
      }
    },
    "cycles": {
      "enabled": true,
      "max_iterations": 7,
      "cooldown_minutes": 720,
      "filter_statuses": [
        "<string>"
      ],
      "filter_tags": [
        "<string>"
      ],
      "schedule": {
        "mon": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "tue": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "wed": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "thu": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "fri": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "sat": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        },
        "sun": {
          "startTime": "<string>",
          "stopTime": "<string>",
          "active": true
        }
      },
      "schedule_start_date": "2023-12-25",
      "schedule_end_date": "2023-12-25"
    },
    "analytics": {}
  }
}
Rate Limit: 12 requests per second
The response includes a nested agent, integration, cycles config and, when available, an analytics snapshot. The shape of analytics depends on the campaign’s integration.type:
  • phone_call: call and contact counts and rates (e.g. calls, contactsAnswered, contactsConvertedRate).
  • whatsapp: message lifecycle counts and rates (e.g. sent, delivered, read, convertedRate).

Examples

curl "https://api.altur.io/api/v1.0/campaigns/1234" \
  -H "Authorization: api-key YOUR_API_SECRET_KEY"

Authorizations

Authorization
string
header
required

Add api-key YOUR_API_SECRET_KEY as the value of the Authorization header.

Path Parameters

id
integer
required

The identifier of the Campaign

Response

Campaign detail response

success
boolean
campaign
object

Single Campaign detail with nested agent, integration and cycles config. The analytics field is included only when a snapshot is available for the campaign.